<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=windows-1252">
	<TITLE>Introduction</TITLE>
	<META NAME="GENERATOR" CONTENT="OpenOffice.org 3.0  (Win32)">
	<META NAME="CREATED" CONTENT="0;0">
	<META NAME="CHANGEDBY" CONTENT="Christian Brunette">
	<META NAME="CHANGED" CONTENT="20090420;22545000">
	<STYLE TYPE="text/css">
	<!--
		@page { margin: 2cm }
		P { margin-bottom: 0.21cm }
		H1 { margin-bottom: 0.21cm }
		H1.western { font-family: "Nimbus Sans L", sans-serif; font-size: 16pt }
		H1.cjk { font-family: "DejaVu LGC Sans"; font-size: 16pt }
		H1.ctl { font-family: "DejaVu LGC Sans"; font-size: 16pt }
		A:link { so-language: zxx }
	-->
	</STYLE>
</HEAD>
<BODY>
<H1 CLASS="western">Introduction</H1>
<P ALIGN=JUSTIFY>Some automation companies use SciLab Scicos module
to model and simulate their embedded equipments (ie: car braking
system).</P>
<P ALIGN=JUSTIFY>SynDEx is a CAD software based on the AAA
methodology (Algorithm Architecture Adequation).&nbsp; It allows to
specify application algorithms and distributed architectures, as well
as to perform their adequation by exploring manually and/or
automatically the possible implementations while satisfying real-time
constraints. It automatically generates the code corresponding to the
chosen implementation. Suited for rapid prototyping it allows
hardware/software codesign. It is devoted to safety critical
applications in transports (aircraft, automobile, train,&nbsp; etc),
mobile robotics, telecommunications, consumer electronics, industrial
control, etc.</P>
<P ALIGN=JUSTIFY>SynDEx improves the safety of implementations thanks
to the consistency between specification and executable code, thus
reducing real-time tests. This ability associated with automatic code
generation decreases significantly the development lifecycle.</P>
<P ALIGN=JUSTIFY>The Scicos2SynDEx transformation allows to:</P>
<UL>
	<LI><P ALIGN=JUSTIFY>transform Scicos models into EMF equivalent
	models (conforming to ScicosMeta metamodel)</P>
	<LI><P ALIGN=JUSTIFY>obtain the corresponding model in SynDEx
	metamodel</P>
	<LI><P ALIGN=JUSTIFY>transform the SynDEx model into SynDEx textual
	notation</P>
	<LI><P ALIGN=JUSTIFY>use SynDEx tools with textual model as input</P>
</UL>
<IMG SRC="help1_html_611f4125.gif" ALIGN=LEFT><BR><BR>
<P ALIGN=JUSTIFY><BR><BR>
</P>
</BODY>
</HTML>